<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XEndUserCapfProfile StructType
 * @subpackage Structs
 */
class XEndUserCapfProfile extends AbstractStructBase
{
    /**
     * The endUserId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $endUserId;
    /**
     * The instanceId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $instanceId;
    /**
     * The certificationOperation
     * Meta information extracted from the WSDL
     * - default: No Pending Operation
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $certificationOperation;
    /**
     * The authenticationMode
     * Meta information extracted from the WSDL
     * - default: By Null String
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $authenticationMode;
    /**
     * The keySize
     * Meta information extracted from the WSDL
     * - default: 1024
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $keySize;
    /**
     * The authenticationString
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $authenticationString;
    /**
     * The operationCompletion
     * Meta information extracted from the WSDL
     * - documentation: Format is YYYY:MM:DD:HH
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $operationCompletion;
    /**
     * Constructor method for XEndUserCapfProfile
     * @uses XEndUserCapfProfile::setEndUserId()
     * @uses XEndUserCapfProfile::setInstanceId()
     * @uses XEndUserCapfProfile::setCertificationOperation()
     * @uses XEndUserCapfProfile::setAuthenticationMode()
     * @uses XEndUserCapfProfile::setKeySize()
     * @uses XEndUserCapfProfile::setAuthenticationString()
     * @uses XEndUserCapfProfile::setOperationCompletion()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $endUserId
     * @param string $instanceId
     * @param string $certificationOperation
     * @param string $authenticationMode
     * @param string $keySize
     * @param string $authenticationString
     * @param string $operationCompletion
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $endUserId = null, $instanceId = null, $certificationOperation = 'No Pending Operation', $authenticationMode = 'By Null String', $keySize = '1024', $authenticationString = null, $operationCompletion = null)
    {
        $this
            ->setEndUserId($endUserId)
            ->setInstanceId($instanceId)
            ->setCertificationOperation($certificationOperation)
            ->setAuthenticationMode($authenticationMode)
            ->setKeySize($keySize)
            ->setAuthenticationString($authenticationString)
            ->setOperationCompletion($operationCompletion);
    }
    /**
     * Get endUserId value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public function getEndUserId()
    {
        return $this->endUserId;
    }
    /**
     * Set endUserId value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $endUserId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XEndUserCapfProfile
     */
    public function setEndUserId(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $endUserId = null)
    {
        $this->endUserId = $endUserId;
        return $this;
    }
    /**
     * Get instanceId value
     * @return string
     */
    public function getInstanceId()
    {
        return $this->instanceId;
    }
    /**
     * Set instanceId value
     * @param string $instanceId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XEndUserCapfProfile
     */
    public function setInstanceId($instanceId = null)
    {
        $this->instanceId = $instanceId;
        return $this;
    }
    /**
     * Get certificationOperation value
     * @return string
     */
    public function getCertificationOperation()
    {
        return $this->certificationOperation;
    }
    /**
     * Set certificationOperation value
     * @param string $certificationOperation
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XEndUserCapfProfile
     */
    public function setCertificationOperation($certificationOperation = 'No Pending Operation')
    {
        $this->certificationOperation = $certificationOperation;
        return $this;
    }
    /**
     * Get authenticationMode value
     * @return string
     */
    public function getAuthenticationMode()
    {
        return $this->authenticationMode;
    }
    /**
     * Set authenticationMode value
     * @param string $authenticationMode
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XEndUserCapfProfile
     */
    public function setAuthenticationMode($authenticationMode = 'By Null String')
    {
        $this->authenticationMode = $authenticationMode;
        return $this;
    }
    /**
     * Get keySize value
     * @return string
     */
    public function getKeySize()
    {
        return $this->keySize;
    }
    /**
     * Set keySize value
     * @param string $keySize
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XEndUserCapfProfile
     */
    public function setKeySize($keySize = '1024')
    {
        $this->keySize = $keySize;
        return $this;
    }
    /**
     * Get authenticationString value
     * @return string|null
     */
    public function getAuthenticationString()
    {
        return $this->authenticationString;
    }
    /**
     * Set authenticationString value
     * @param string $authenticationString
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XEndUserCapfProfile
     */
    public function setAuthenticationString($authenticationString = null)
    {
        $this->authenticationString = $authenticationString;
        return $this;
    }
    /**
     * Get operationCompletion value
     * @return string|null
     */
    public function getOperationCompletion()
    {
        return $this->operationCompletion;
    }
    /**
     * Set operationCompletion value
     * @param string $operationCompletion
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XEndUserCapfProfile
     */
    public function setOperationCompletion($operationCompletion = null)
    {
        $this->operationCompletion = $operationCompletion;
        return $this;
    }
}
